/* wv1522c.h V 1.1 1997/03/16 00:00:00 heirich */


void decodeStrRFC1522A(char *);
void encodeStrHeaderA(char *);
void decodeStrRFC1522W(char *);
void encodeStrHeaderW(char *);

#ifdef UNICODE
#define encodeStrHeader encodeStrHeaderW
#define decodeStrRFC1522 decodeStrRFC1522W
#else
#define encodeStrHeader encodeStrHeaderA
#define decodeStrRFC1522 decodeStrRFC1522A
#endif

 // S.Yoshida undocument obsulute functions

#ifdef JAPANESE
BOOL decodeMLStrRFC1522(char *);
#define MLTLN_INIT (NULL)
void decodeNetworkCoding(char *p, int coding);
void encodeNetworkCoding(char *p, int coding);
#endif

void decodeNetworkCoding(char *p, int coding);
void encodeNetworkCoding(char *p, int coding);